<!--Lists the Notes in a table
Author: Oliver Huber
-->
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      lang="de">
<head>
    <meta charset="utf-8" content="utf-8"/>
    <title>My Java Notes</title>
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css"></link>
    <!--Import Google Icon Font-->
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet"></link>
    <!--Let browser know website is optimized for mobile-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <style>
        body {
            display: flex;
            min-height: 100vh;
            flex-direction: column;
        }

        main {
            flex: 1 0 auto;
        }
    </style>
</head>

<body>
<header>
    <h:form style="margin-bottom: 0px;">
        <!-- Dropdown Structure -->
        <ul id="options" class="dropdown-content">
            <li><h:commandLink class="modal-trigger" action="#{file.download}">
                <h:outputText class="modal-trigger" value="Export"></h:outputText>
            </h:commandLink></li>
            <li><!-- Import Modal Trigger -->
                <a class="modal-trigger" href="#import-modal">Import</a>
            </li>
        </ul>
    </h:form>
    <div class="navbar-fixed">
        <nav>

            <!-- Refresh Button -->
            <div class="nav-wrapper">
                <a href="listOfNotes.xhtml" class="brand-logo center">My Notes</a>
                <ul class="right hide-on-med-and-down">
                    <li><a href="javascript:history.go(0)"><i
                            class="material-icons right">refresh</i>#{noteControl.currentDate}</a></li>
                    <!-- Dropdown Trigger -->
                    <li><a class="dropdown-trigger" href="#!" data-target="options"><i
                            class="material-icons">more_vert</i></a>
                    </li>
                </ul>
            </div>
        </nav>
    </div>

</header>
<main>
    <div class="container">
        <!-- Page Content goes here -->
        <!-- Add button -->
        <div class="fixed-action-btn">
            <h:form>
                <h:commandLink class="btn-floating btn-large red" id="image-link-id" action="#{noteControl.create}">
                    <i class='large material-icons'>add</i>
                </h:commandLink>
            </h:form>
        </div>


        <!-- Import Modal -->
        <div id="import-modal" class="modal">
            <h:form id="import" enctype="multipart/form-data">
                <div class="modal-content">
                    <div class="file-field input-field">
                        <div class="btn">
                            <span>File</span>
                            <h:inputFile id="file" value="#{file.uploadedFile}"
                                         required="true"
                                         requiredMessage="Please upload a file" alt="upload file"></h:inputFile>
                        </div>

                        <div class="file-path-wrapper">
                            <input class="file-path validate" type="text"/>
                        </div>

                    </div>
                </div>
                <div class="modal-footer">
                    <h:commandButton class="btn" id="submit-button" value="Upload"
                                     action="#{file.upload}"></h:commandButton>

                </div>
            </h:form>
        </div>

        <!-- Notes Table -->
        <h:dataTable value="#{note.notes}" var="p">
            <h:column>
                <f:facet name="header">Nr</f:facet>
                <h:outputText value="#{p.id}"/>
            </h:column>
            <h:column>
                <f:facet name="header">Datum</f:facet>
                <h:outputText value="#{p.date}">

                </h:outputText>
            </h:column>
            <h:column>
                <f:facet name="header">Title</f:facet>
                <h:outputText value="#{p.title}"/>
            </h:column>
            <h:column>
                <f:facet name="header">Aktionen</f:facet>

                <!-- All Buttons -->
                <h:form id="action">
                    <h:commandButton class="btn-flat material-icons" id="details-button" value="visibility"
                                     action="#{noteControl.view}">
                        <f:setPropertyActionListener target="#{noteControl.noteId}" value="#{p.id}"/>
                    </h:commandButton>
                    <h:commandButton class="btn-flat material-icons" id="edit-button" value="edit"
                                     action="#{noteControl.edit}">
                        <f:setPropertyActionListener target="#{noteControl.noteId}" value="#{p.id}"/>
                    </h:commandButton>
                    <h:commandButton class="btn-flat material-icons"
                                     onclick="if (! confirm('Soll Notiz wirklich gelöscht werden?')) return false"
                                     id="delete-button" value="delete"
                                     action="#{noteControl.delete}">
                        <f:setPropertyActionListener target="#{noteControl.noteId}" value="#{p.id}"/>
                    </h:commandButton>
                </h:form>
            </h:column>
        </h:dataTable>
    </div>
</main>
<!-- Footer -->
<footer class="page-footer">
    <div class="footer-copyright">
        <div class="container">
            © 2021 Cyrill Näf, Oliver Huber &amp; Dane Singer
            <a class="grey-text text-lighten-4 right"
               href="https://gitlab.com/biggold/hf-it-hbu/myjavanotes">Source Code</a>
        </div>
    </div>
</footer>

<!-- Compiled and minified JavaScript -->
<!--JavaScript at end of body for optimized loading-->
<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"
        type="application/javascript"></script>
<script src="https://code.jquery.com/jquery-2.1.1.min.js" type="application/javascript"></script>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        var elems = document.querySelectorAll('.dropdown-trigger');
        var instances = M.Dropdown.init(elems, options);
    });
    document.addEventListener('DOMContentLoaded', function () {
        var elems = document.querySelectorAll('.modal');
        var instances = M.Modal.init(elems, options);
    });

    function reloadFunction() {
        location.reload();
    }
</script>
</body>
</html>
